Name:             centos-release-kmods-kernel-6.12
Version:          %{?rhel}
Release:          1%{?dist}
Summary:          CentOS Kmods SIG package repositories for Kernel

License:          GPLv2
URL:              https://sigs.centos.org/kmods

Source0:          RPM-GPG-KEY-CentOS-SIG-Kmods
Source1:          centos-kmods-kernel-6.12.repo

BuildArch:        noarch


%description
This package provides the package repository files for Kernel by CentOS Kmods SIG.


%prep


%build


%install
%{__install} -m 644 -D -t %{buildroot}%{_sysconfdir}/pki/rpm-gpg %{SOURCE0}
%{__install} -m 644 -D -t %{buildroot}%{_sysconfdir}/yum.repos.d %{SOURCE1}

%if 0%{?rhel} < 10
find %{buildroot}%{_sysconfdir}/yum.repos.d -type f -name \*.repo -exec sed -i 's/$releasever_major/%{?rhel}/g' \{\} \;
%endif


%clean
%{__rm} -rf %{buildroot}


%files
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-Kmods
%config(noreplace) %{_sysconfdir}/yum.repos.d/centos-kmods-kernel-6.12.repo


%changelog
* Thu Jan 09 2025 Peter Georg <peter.georg@physik.uni-regensburg.de> - %{?rhel}-1
- Initial release
